Bug 831401 - libbluray-devel multilib conflict
libbluray-devel multilib conflict
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libbluray (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On: 835952
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 18:53 EDT by Philippe Troin
Modified: 2012-10-12 11:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 11:36:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 18:53:12 EDT
# yum -y install libbluray-devel
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package libbluray-devel-0.2.2-1.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package libbluray-devel.i686 0:0.2.2-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch         Version              Repository      Size
================================================================================
Installing:
 libbluray-devel         i686         0.2.2-1.fc17         fedora         188 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 188 k
Installed size: 640 k
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/libbluray-devel-0.2.2/html/annotated.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/bluray_8h.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/bluray_8h_source.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/classes.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/files.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/globals.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/globals_defs.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/globals_func.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/index.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structBD__EVENT-members.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structBD__EVENT.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structBLURAY__DISC__INFO-members.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structBLURAY__DISC__INFO.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__chapter-members.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__chapter.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__clip-members.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__clip.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__sound__effect-members.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__sound__effect.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__stream__info-members.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__stream__info.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__title__info-members.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/html/structbd__title__info.html from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64
  file /usr/share/doc/libbluray-devel-0.2.2/libbluray.pdf from install of libbluray-devel-0.2.2-1.fc17.i686 conflicts with file from package libbluray-devel-0.2.2-1.fc17.x86_64

Error Summary
-------------

[2]    12174 exit 1     noglob yum -y install libbluray-devel
Comment 1 Xavier Bachelot 2012-06-12 20:50:19 EDT
Thanks for the report.
I have fixed the HTML doc generation, however I still need to fix the pdf generation. Stay tuned...
Comment 2 Xavier Bachelot 2012-10-12 11:36:44 EDT
The pdf doc is not distributed nor generated anymore, so the conflict is gone (libbluray 0.2.2-3 and later).

Note You need to log in before you can comment on or make changes to this bug.